summaryrefslogtreecommitdiffstats
path: root/etc
diff options
context:
space:
mode:
authoraraujo <araujo@FreeBSD.org>2016-06-06 03:55:00 +0000
committeraraujo <araujo@FreeBSD.org>2016-06-06 03:55:00 +0000
commit43084d2f1d70c1c1bbcf99b811ad777bd2925dc5 (patch)
treefab498ba9c4b0489d0afe433f1f32981506b2938 /etc
parent0f769a7b9303fb75245b1ef97b1887d399a8ec86 (diff)
downloadFreeBSD-src-43084d2f1d70c1c1bbcf99b811ad777bd2925dc5.zip
FreeBSD-src-43084d2f1d70c1c1bbcf99b811ad777bd2925dc5.tar.gz
Add rc.d script for ypldap(8).
Diffstat (limited to 'etc')
-rw-r--r--etc/defaults/rc.conf2
-rwxr-xr-xetc/rc.d/ypldap27
2 files changed, 29 insertions, 0 deletions
diff --git a/etc/defaults/rc.conf b/etc/defaults/rc.conf
index 8a5c07e..e8ce8a9 100644
--- a/etc/defaults/rc.conf
+++ b/etc/defaults/rc.conf
@@ -392,6 +392,8 @@ nis_ypxfrd_enable="NO" # Run rpc.ypxfrd at boot time (or NO).
nis_ypxfrd_flags="" # Flags to rpc.ypxfrd (if enabled).
nis_yppasswdd_enable="NO" # Run rpc.yppasswdd at boot time (or NO).
nis_yppasswdd_flags="" # Flags to rpc.yppasswdd (if enabled).
+nis_ypldap_enable="NO" # Run ypldap at boot time (or NO).
+nis_ypldap_flags="" # Flags to ypldap (if enabled).
### SNMP daemon ###
# Be sure to understand the security implications of running SNMP v1/v2
diff --git a/etc/rc.d/ypldap b/etc/rc.d/ypldap
new file mode 100755
index 0000000..d5972dc
--- /dev/null
+++ b/etc/rc.d/ypldap
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+# PROVIDE: ypldap
+# REQUIRE: ypserv
+# BEFORE: DAEMON
+# KEYWORD: shutdown
+
+. /etc/rc.subr
+
+name="ypldap"
+rcvar="nis_ypldap_enable"
+
+load_rc_config $name
+
+command="/usr/sbin/${name}"
+command_args="${nis_ypldap_flags}"
+
+start_precmd="ypldap_precmd"
+
+ypldap_precmd()
+{
+ force_depend ypserv nis_server || return 1
+}
+run_rc_command "$1"
OpenPOWER on IntegriCloud